QGIS Application - Bug report #6821
qgis crashes when exporting raster with tile option
2012-12-04 08:43 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15965
Description

Hi, tested on recent master b45e215, when trying to save raster with Tile option, | set tiles to 1000 * 1000 and get crash.

Régis

Associated revisions

Revision 9d84a6a3 - 2012-12-19 07:30 PM - Radim Blazek

raster save as VRT fixes and improvements, fixes #6821

History

#1 - 2012-12-19 10:33 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"9d84a6a36aabc357f08480b5a1165be74fd78e73".

#2 - 2012-12-19 10:39 AM - Radim Blazek

- Resolution set to fixed

Fixed, some other changes and fixes:

VRT checkbox moved above output file/dir because it depends on it

Tiles renamed to VRT Tiles because currently used only for VRT
VRT Tiles hidden if output is not VRT
correct VRT output in raw mode

correct VRT no data values

disabled auto enabling of pyramids building when VRT is checked - we should not tend to be more clever than a user
check if output VRT files exist in VRT dir

VRT tile files save as <basename>.<index>.tif

#3 - 2012-12-19 01:44 PM - Etienne Tourigny

Hi Radim,

I'm not sure showing the VRT Tiles groupbox below is the best approach - wouldn't it be better to have it right below the VRT checkbox, or has a popup?
Or just keep it as a checkable groupbox, so you activate it and get the settings right next to it?
Also I'm not sure having it as a checkbox "Create VRT" is intuitive - what does it mean? a gtiff as VRT? or just a VRT file?

IMHO easier to understand with a single checkable groupbox "VRT Tiles"

#4 - 2012-12-20 01:39 AM - Radim Blazek

Etienne Tourigny wrote:

I'm not sure showing the VRT Tiles groupbox below is the best approach - wouldn't it be better to have it right below the VRT checkbox,

I want to keep the most important options (mode, format, output file/dir) at top and additional options below. Because VRT checkobox must be before

file/dir selection because it depends on it, | moved it above. Tile size is an additional option, less important than output file/dir.

or has a popup?

Popups are bad and we are trying to avoid popups AFAIK.

Or just keep it as a checkable groupbox, so you activate it and get the settings right next to it?

That would be possible, but it would add a "noise" above file name.

Also I'm not sure having it as a checkbox "Create VRT" is intuitive - what does it mean? a gtiff as VRT?

Yes, the tiles must have some format, so the output will be GeoTIFF tiles + VRT.

or justa VRT file?

IMHO easier to understand with a single checkable groupbox "VRT Tiles"
Another doubt: would not it be better to select as output a VRT file (<basenames.vrt) instead of a directory? It would give more control over the basename
to user and it would allow to save more VRT in one directory. The tiles would be named <basename>.<index>.vrt. It is no problem for the user to create a

new dir if necessary in the select dialog.

What others think/prefer?

2025-04-26 22



